Debian Bug report logs - #382813
ITA: classworlds -- Java ClassLoader Framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Sun, 13 Aug 2006 14:49:12 UTC

Owned by: Paul Cager <paul-debian@home.paulcager.org>

Severity: normal

Fixed in version classworlds/1.1-alpha-2-1

Done: Paul Cager <paul-debian@home.paulcager.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marcus Crafter <crafterm@debian.org>, <wnpp@debian.org>:
Bug#382813; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Marcus Crafter <crafterm@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: classworlds -- Java ClassLoader Framework
Date: Sun, 13 Aug 2006 16:20:14 +0200
Package: wnpp
Severity: normal

The current maintainer of classworlds, Marcus Crafter <crafterm@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: classworlds
Binary: libclassworlds-java, libclassworlds-java-doc
Version: 1.0.1-1.1
Priority: optional
Section: contrib/devel
Maintainer: Marcus Crafter <crafterm@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), junit, libasm-java, libxerces2-java, ant, j2sdk1.4 | java2-compiler
Architecture: all
Standards-Version: 3.6.1.1
Format: 1.0
Directory: pool/contrib/c/classworlds
Files:
 50675d886837536efbbc6bfa67aff232 693 classworlds_1.0.1-1.1.dsc
 aaf2ace47816fc651c5f15f07e9978b6 50061 classworlds_1.0.1.orig.tar.gz
 5e89be3267ac83d712033397c2e25b6e 6106 classworlds_1.0.1-1.1.diff.gz

Package: libclassworlds-java
Priority: optional
Section: contrib/devel
Installed-Size: 76
Maintainer: Marcus Crafter <crafterm@debian.org>
Architecture: all
Source: classworlds
Version: 1.0.1-1.1
Depends: libxerces2-java, j2re1.4 | java2-runtime | java1-runtime
Suggests: java-virtual-machine
Filename: pool/contrib/c/classworlds/libclassworlds-java_1.0.1-1.1_all.deb
Size: 33132
MD5sum: 260a0a8424fe0c0c782a90b9439c3ff4
SHA1: 85a30f1e51a02940b811191bec67ef487ca568a3
SHA256: 87e8047adf76905e37b19bf6687fed2a76fbfeacbe741524a1c8f402cdc238bd
Description: Java ClassLoader Framework
 Classworlds is a framework for container developers who require complex
 manipulation of Java's ClassLoaders. Java's native ClassLoader mechanims
 and classes can cause many headaches and confusion for certain types of
 application developers. Projects which involve dynamic loading of
 components or otherwise represent a 'container' that can benefit from the
 classloading control provided by classworlds.
 .
 Classworlds provides a richer set of semantics for class loading than
 Java's normal mechanisms, while still being able to provide a
 ClassLoader interface to integrate seamlessly with the Java environment.
Tag: langdevel::java

Package: libclassworlds-java-doc
Priority: optional
Section: contrib/devel
Installed-Size: 428
Maintainer: Marcus Crafter <crafterm@debian.org>
Architecture: all
Source: classworlds
Version: 1.0.1-1.1
Filename: pool/contrib/c/classworlds/libclassworlds-java-doc_1.0.1-1.1_all.deb
Size: 27312
MD5sum: b547783f9a490a087f224afa9fcac8a1
SHA1: 8be5d252911545d32f17fa983e0fc08adf75502e
SHA256: ed8f1183dd071c9d4fae45c5c4c84eebc07e405bcc71bfeae54a4f4209e9a560
Description: Java ClassLoader Framework Documentation
 Classworlds is a framework for container developers who require complex
 manipulation of Java's ClassLoaders. Java's native ClassLoader mechanims
 and classes can cause many headaches and confusion for certain types of
 application developers. Projects which involve dynamic loading of
 components or otherwise represent a 'container' that can benefit from the
 classloading control provided by classworlds.
 .
 Classworlds provides a richer set of semantics for class loading than
 Java's normal mechanisms, while still being able to provide a
 ClassLoader interface to integrate seamlessly with the Java environment.
 .
 This package includes the javadocs.
Tag: role::content:doc

-- 
adn
Mohammed Adnène Trojette



Owner recorded as Paul Cager <paul-debian@home.paulcager.org>. Request was from Paul Cager <paul-debian@home.paulcager.org> to control@bugs.debian.org. (Sat, 16 Jun 2007 21:54:02 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: classworlds -- Java ClassLoader Framework' from `O: classworlds -- Java ClassLoader Framework'. Request was from Paul Cager <paul-debian@home.paulcager.org> to control@bugs.debian.org. (Sat, 16 Jun 2007 21:54:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Jun 2007 01:04:04 GMT) Full text and rfc822 format available.

Reply sent to Paul Cager <paul-debian@home.paulcager.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 382813-close@bugs.debian.org (full text, mbox):

From: Paul Cager <paul-debian@home.paulcager.org>
To: 382813-close@bugs.debian.org
Subject: Bug#382813: fixed in classworlds 1.1-alpha-2-1
Date: Mon, 09 Jul 2007 20:58:18 +0000
Source: classworlds
Source-Version: 1.1-alpha-2-1

We believe that the bug you reported is fixed in the latest version of
classworlds, which is due to be installed in the Debian FTP archive:

classworlds_1.1-alpha-2-1.diff.gz
  to pool/main/c/classworlds/classworlds_1.1-alpha-2-1.diff.gz
classworlds_1.1-alpha-2-1.dsc
  to pool/main/c/classworlds/classworlds_1.1-alpha-2-1.dsc
classworlds_1.1-alpha-2.orig.tar.gz
  to pool/main/c/classworlds/classworlds_1.1-alpha-2.orig.tar.gz
libclassworlds-java-doc_1.1-alpha-2-1_all.deb
  to pool/main/c/classworlds/libclassworlds-java-doc_1.1-alpha-2-1_all.deb
libclassworlds-java_1.1-alpha-2-1_all.deb
  to pool/main/c/classworlds/libclassworlds-java_1.1-alpha-2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382813@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Cager <paul-debian@home.paulcager.org> (supplier of updated classworlds package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Jun 2007 23:06:46 +0100
Source: classworlds
Binary: libclassworlds-java-doc libclassworlds-java
Architecture: source all
Version: 1.1-alpha-2-1
Distribution: unstable
Urgency: low
Maintainer: Michael Koch <konqueror@gmx.de>
Changed-By: Paul Cager <paul-debian@home.paulcager.org>
Description: 
 libclassworlds-java - framework for container developers requiring manipulation of Clas
 libclassworlds-java-doc - Documentation for the Classworlds Java library
Closes: 382813 397566
Changes: 
 classworlds (1.1-alpha-2-1) unstable; urgency=low
 .
   * New maintainer (Closes: #382813).
   * Fix FTBFS: build-depends on j2sdk1.4 (Closes: #397566).
   * Moved from contrib/devel to main/libs.
   * Changed to use CDBS (pkg-java standard).
   * Bumped to compat 5 and standards version 3.7.2.
   * Provides a doc-base.
Files: 
 93fcd57311118faedf5c5741087c5f9e 884 libs optional classworlds_1.1-alpha-2-1.dsc
 50520f63dbf3e7eaac9058fca87e46a4 51646 libs optional classworlds_1.1-alpha-2.orig.tar.gz
 f4b101f6f20becc056fe43e75953678c 3489 libs optional classworlds_1.1-alpha-2-1.diff.gz
 28b8314c7cf47430ff1ff077b6fadbe4 36154 libs optional libclassworlds-java_1.1-alpha-2-1_all.deb
 8eb90596d09259a15c3a447325370e09 33632 doc optional libclassworlds-java-doc_1.1-alpha-2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGdRC7WSOgCCdjSDsRAhqVAJ0XV+3n7c0C9h384B85QwMyNLDKWQCfZSvp
Igvm44xMAlGFufUzTJRBysY=
=3J1z
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 09:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:26:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.